Package org.eclipse.m2m.atl.adt.debug.ui

## Class AtlDebugModelPresentation

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.LabelProvider
      - - org.eclipse.m2m.atl.adt.debug.ui.AtlDebugModelPresentation

All Implemented Interfaces:
  `org.eclipse.debug.ui.IDebugModelPresentation`, `org.eclipse.debug.ui.ISourcePresentation`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`

    public class AtlDebugModelPresentation
    extends org.eclipse.jface.viewers.LabelProvider
    implements org.eclipse.debug.ui.IDebugModelPresentation

A debug model presentation is responsible for providing labels, images, and editors associated with debug elements in a specific debug model. To allow for an extensible configuration, IDebugModelPresentation interface defines a setAttribute method.

### Field Summary

Fields
`static int` `BREAKPOINT` If you add a constant here, look in the class AtlVariable if the value is not already used.

### Fields inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`DISPLAY_VARIABLE_TYPE_NAMES`

### Constructor Summary

Constructors
`AtlDebugModelPresentation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeDetail​(org.eclipse.debug.core.model.IValue value, org.eclipse.debug.ui.IValueDetailListener listener)`
`org.eclipse.ui.IEditorInput` `getDisassemblyEditorInput​(AtlStackFrame frame)` Returns the disassembly editor.
`java.lang.String` `getEditorId​(org.eclipse.ui.IEditorInput input, java.lang.Object element)`
`org.eclipse.ui.IEditorInput` `getEditorInput​(java.lang.Object element)`
`org.eclipse.swt.graphics.Image` `getImage​(java.lang.Object item)`
`java.lang.String` `getText​(java.lang.Object item)`
`void` `setAttribute​(java.lang.String attribute, java.lang.Object value)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Field Detail

#### BREAKPOINT

    public static final int BREAKPOINT

If you add a constant here, look in the class AtlVariable if the value is not already used.

See Also:
  Constant Field Values

### Constructor Detail

#### AtlDebugModelPresentation

    public AtlDebugModelPresentation()

### Method Detail

#### setAttribute

    public void setAttribute​(java.lang.String attribute,
                             java.lang.Object value)

Specified by:
  `setAttribute` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
See Also:
  `IDebugModelPresentation.setAttribute(java.lang.String, java.lang.Object)`

#### getImage

    public org.eclipse.swt.graphics.Image getImage​(java.lang.Object item)

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  `LabelProvider.getImage(java.lang.Object)`

#### getText

    public java.lang.String getText​(java.lang.Object item)

Specified by:
  `getText` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  `LabelProvider.getText(java.lang.Object)`

#### computeDetail

    public void computeDetail​(org.eclipse.debug.core.model.IValue value,
                              org.eclipse.debug.ui.IValueDetailListener listener)

Specified by:
  `computeDetail` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
See Also:
  `IDebugModelPresentation.computeDetail(org.eclipse.debug.core.model.IValue, org.eclipse.debug.ui.IValueDetailListener)`

#### getDisassemblyEditorInput

    public org.eclipse.ui.IEditorInput getDisassemblyEditorInput​(AtlStackFrame frame)

Returns the disassembly editor.

Parameters:
  `frame` - the frame context
Returns:
  the disassembly editor

#### getEditorInput

    public org.eclipse.ui.IEditorInput getEditorInput​(java.lang.Object element)

Specified by:
  `getEditorInput` in interface `org.eclipse.debug.ui.ISourcePresentation`
See Also:
  `ISourcePresentation.getEditorInput(java.lang.Object)`

#### getEditorId

    public java.lang.String getEditorId​(org.eclipse.ui.IEditorInput input,
                                        java.lang.Object element)

Specified by:
  `getEditorId` in interface `org.eclipse.debug.ui.ISourcePresentation`
See Also:
  `ISourcePresentation.getEditorId(org.eclipse.ui.IEditorInput, java.lang.Object)`